MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003218VCMIMechanics - Battlespublic2022-05-23 16:362022-08-22 12:43
ReporterAndruids 
Assigned ToNordsoft 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0003218: Creature heroes' specialties don't work in newest daily builds
DescriptionHeroes with standard creatures' specialties don't give their units Attack and Defense bonus in the newest daily builds. They do give their units +1 Speed bonus.

Heroes with fully described specialties work as intended (Conflux heroes), only format "specialty" : {"creature" : "creaturename"}
doesn't seem to work.
Steps To Reproduce1. Start a new game with a standard creature specialist, e.g. Ajit in Dungeon.
2. Check the beholders' stats - they should have 12 Attack (default 9 + 2 from hero bonus + 1 from specialty bonus),
Additional InformationThis issue doesn't occur on 10th April 2021 build.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0008309)
Nordsoft (developer)
2022-08-22 12:43

https://github.com/vcmi/vcmi/pull/777 [^]

- Issue History
Date Modified Username Field Change
2022-05-23 16:36 Andruids New Issue
2022-08-22 12:43 Nordsoft Assigned To => Nordsoft
2022-08-22 12:43 Nordsoft Status new => assigned
2022-08-22 12:43 Nordsoft Note Added: 0008309
2022-08-22 12:43 Nordsoft Status assigned => resolved
2022-08-22 12:43 Nordsoft Fixed in Version => 0.next
2022-08-22 12:43 Nordsoft Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean